use ExtUtils::MakeMaker;
use Config;
use English;

@extras = ();

push(@extras,
     CAPI => 'TRUE')
    if ($PERL_VERSION >= 5.005 and $OSNAME eq 'MSWin32'
	and $Config{archname} =~ /-object\b/i);

push(@extras,
     ABSTRACT => "Basekit.pm",
     AUTHOR   => 'Eric Prud\'hommeaux (eric@w3.org)')
    if ($ExtUtils::MakeMaker::Version >= 5.4301);
     
WriteMakefile(
              NAME         => 'W3C::Util::Basekit',
              VERSION_FROM => 'Basekit.pm',
              dist      => {COMPRESS => 'gzip', SUFFIX => '.gz'},
	      @extras
             );

